# Group inheritance
#
# Any inherited groups prefixed with a g: are global groups
# and are inherited from the GlobalGroups.yml.
#
# Groups without the g: prefix are groups local to this world
# and are defined in the this groups.yml file.
#
# Local group inheritances define your promotion tree when using 'manpromote/mandemote'

groups:
  Default:
    default: false
    permissions:
    - -bukkit.command.kill
    inheritance:
    - g:groupmanager_default
    - g:bukkit_default
    - g:essentials_default
    - g:towny_default
    info:
      prefix: '&e'
      build: false
      suffix: ''
  Builder:
    default: true
    permissions: []
    inheritance:
    - default
    - g:essentials_builder
    - g:towny_builder
    info:
      prefix: '&2'
      build: true
      suffix: ''
  Moderator:
    default: false
    permissions: []
    inheritance:
    - builder
    - g:groupmanager_moderator
    - g:bukkit_moderator
    - g:essentials_moderator
    - g:towny_moderator
    - g:vanish_moderator
    info:
      prefix: '&5'
      build: true
      suffix: ''
  Admin:
    default: false
    permissions: []
    inheritance:
    - moderator
    - g:groupmanager_admin
    - g:bukkit_admin
    - g:essentials_admin
    - g:towny_admin
    - g:vanish_admin
    info:
      prefix: '&c'
      build: true
      suffix: ''
  Owner:
    default: false
    permissions:
    - '*'
    - -vanish.effects.*
    - +vanish.effects.toggle.all
    inheritance:
    - admin
    info:
      prefix: '&4'
      build: true
      suffix: ''

#VIP1的权限有：飞行/hat/back
  vip1:
    default: false
    permissions:
    - 'essentials.fly'
    - 'essentials.fly.safelogin'
    - 'essentials.hat'
    - 'essentials.back'
    inheritance:
    - builder
    info:
      prefix: '&F&6VIP&L1&F] &B'
      build: true
      suffix: ''
#VIP2的权限有：(继承VIP1的全新)+heal补血/聊天彩色字体
  vip2:
    default: false
    permissions:
    - 'essentials.heal'
    - 'essentials.msg.color'
    - 'essentials.msg.format'
    inheritance:
    - builder
    - vip1
    info:
      prefix: '&F&6VIP&L2&F] &B'
      build: true
      suffix: ''
#VIP3的权限有：(继承VIP2的权限)+死亡保存经验/无传送冷却/
  vip3:
    default: false
    permissions:
    - 'essentials.keepxp'
    - 'essentials.teleport.cooldown.bypass'
    - 'essentials.teleport.timer.bypass'
    - 'essentials.teleport.timer.bypass'
    inheritance:
    - builder
    - vip1
    - vip2
    info:
      prefix: '&F&6VIP&L3&F] &B'
      build: true
      suffix: ''
#VIP4的权限有：(继承VIP3的权限)+强制TP/无限设置家
  vip4:
    default: false
    permissions:
    - 'essentials.sethome.multiple.unlimited'
    - 'essentials.tp'
    inheritance:
    - builder
    - vip1
    - vip2
    - vip3
    info:
      prefix: '&F&6VIP&L4&F] &B'
      build: true
      suffix: ''
#VIP5的权限有：(继承VIP4的权限)+一件修复全部物品耐久/随时工作台/随时末影箱
  vip5:
    default: false
    permissions:
    - 'essentials.repair'
    - 'essentials.repair.all'
    - 'essentials.enderchest'
    - 'essentials.workbench'
    inheritance:
    - builder
    - vip1
    - vip2
    - vip3
    - vip4
    info:
      prefix: '&F&6VIP&L5&F] &B'
      build: true
      suffix: ''
#VIP6的权限有：(继承VIP5的权限)+恢复生命/发火球/天降TNT雨
  vip6:
    default: false
    permissions:
    - 'essentials.heal'
    - 'essentials.fireball'
    - 'essentials.nuke'
    inheritance:
    - builder
    - vip1
    - vip2
    - vip3
    - vip4
    - vip5
    info:
      prefix: '&F&CVIP&L6&F] &B'
      build: true
      suffix: ''